# ==================================================================
# Gossamer List - enhanced mailing list management system
#
#   Website  : http://gossamer-threads.com/
#   Support  : http://gossamer-threads.com/scripts/support/
#   CVS Info :                          
#   Revision : $Id: mod_perl.pm,v 1.7 2004/09/13 23:12:25 jagerman Exp $
# 
# Copyright (c) 2004 Gossamer Threads Inc.  All Rights Reserved.
# Redistribution in part or in whole strictly prohibited.  Please
# see LICENSE file for full details.
# ==================================================================
#

package GList::mod_perl;
# ==================================================================

use strict;
use lib '/home/slowtwitch/glist/lib';

# If under mod_perl, we use Apache::DBI to cache connections.
use GT::Base qw/MOD_PERL/;
BEGIN {
    require Apache::DBI if MOD_PERL;
    print STDERR "\nPreloading Gossamer List modules into mod_perl:\n\t"
}

use GList();
BEGIN { print STDERR " ." }

# Preload commonly used GT libs.
use GT::CGI();
use GT::Template();
use GT::Dumper();
use GT::Date();
use GT::Mail();
BEGIN { print STDERR " ." }
use GT::SQL();
use GT::SQL::Relation();

# Preload GList modules.
BEGIN { print STDERR " ." }
use GList::Authenticate();
use GList::Admin();
use GList::List();
use GList::Mailer();
use GList::Message();
BEGIN { print STDERR " ." }
use GList::Profile();
use GList::SQL();
use GList::Template();
use GList::Tools();
use GList::User();

BEGIN { print STDERR " .\nAll modules loaded ok!\n" };

print STDERR "Compiling all functions ...";

GT::AutoLoader::compile_all();

print STDERR " All modules compiled and loaded ok!\n\n";

1;
